精华内容
下载资源
问答
  • 无效的源发行版

    2021-02-27 18:42:26
    今天又出现了这个,以前只需要这俩相同就行,这次死活搞不好。 瞎捣鼓了一下,反正把所有可以设置地方都给改成了8就行了

    今天又出现了这个,以前只需要这俩相同就行的,这次死活搞不好。
    在这里插入图片描述
    瞎捣鼓了一下,反正把所有可以设置的地方都给改成了8就行了
    在这里插入图片描述
    在这里插入图片描述

    展开全文
  • 网上搜了下,好多都只说了 无效的源发行版的解决方法。其实有两个错误,一个是目标发行版,一个是源发行版。 无效的源发行版 原因:编译的JDK版本与发布版本不一致 Ctrl + Shift + Alt + S 快捷键 File -> ...

    之前编译项目的时候报错:
    在这里插入图片描述
    在这里插入图片描述
    网上搜了下,好多都只说了 无效的源发行版的解决方法。其实有两个错误,一个是目标发行版,一个是源发行版。

    无效的源发行版

    原因:编译的JDK版本与发布版本不一致

    Ctrl + Shift + Alt + S 快捷键
    File -> Project Structure ->Project Settings 其中三处保持一致。
    在这里插入图片描述
    在这里插入图片描述
    在这里插入图片描述
    然后就没问题了。

    无效的目标发行版

    原因:编译器的JDK版本不符

    设置编译器版本。

    File -> Settings…
    在这里插入图片描述
    这个要与你安装的编译器版本一致。

    然后就没问题了。

    展开全文
  • IDEA 'Error:java: 无效的源发行版: 10' 解决方案

    万次阅读 多人点赞 2018-09-17 12:13:26
    IDEA Error:java: 无效的源发行版: 10 解决方案 IDEA Error:java: 无效的源发行版: 10 解决方案 问题描述 主要原因 解决办法 问题描述 今天编译java程序时出现Error:java: 无效的源...

    问题描述

    • 今天编译java程序时出现Error:java: 无效的源发行版: 10错误
      这里写图片描述

    主要原因

    • 本机的JDK版本与项目的语言级别不同造成的,例如:

    • 我本机的JDK版本
      这里写图片描述

    • 使用Ctrl+Alt+Shift+s打开Project Structure查看Project Language Level,发现是10
      这里写图片描述
      这里写图片描述

    解决办法

    • 打开Project Structure界面,选择Project,改变Project Language Level如下图所示
      这里写图片描述
    展开全文
  • 无效的源发行版 10

    2020-09-09 17:05:05
    IDEA:Java 无效的源发行版 10:解决方案 ● 今天编译java程序时出现Error:java: 无效的源发行版: 10错误 ● 使用Ctrl+Alt+Shift+s打开Project Structure查看Project Language Level,发现是10 解决办法 ● 打开...

    IDEA:Java 无效的源发行版 10:解决方案

    ● 今天编译java程序时出现Error:java: 无效的源发行版: 10错误
    在这里插入图片描述

    ● 使用Ctrl+Alt+Shift+s打开Project Structure查看Project Language Level,发现是10

    在这里插入图片描述

    在这里插入图片描述

    解决办法
    ● 打开Project Structure界面,选择Project,改变Project Language Level如下图所示

    在这里插入图片描述

    展开全文
  • 无效的源发行版12

    2021-03-05 10:39:51
    springcloud项目启动,报错Error:java:无效的源发行版:12 解决办法: 向下图所示位置都换成8
  • 无效的源发行版 11

    2021-05-07 23:02:09
    IDEA 设置解决 无效的源发行版 11 报错 设置步骤: file -> project structure -> project settings -> source -> language level -> 你需要的对应版本
  • java无效的源发行版15

    千次阅读 2020-11-24 12:39:29
    运行项目显示"java无效的源发行版15" 在project structure里更改language level为自己对应的版本
  • java: 错误: 无效的源发行版:15
  • IDEA无效的源发行版

    2020-03-01 14:05:37
    针对IDEA运行时会出现:无效的源发行版 解决方法:点击Project Structure 以我jdk1.8可以选择8或者默认选项
  • java: 无效的源发行版: 14

    千次阅读 多人点赞 2020-09-25 17:21:56
    用IDEA编写代码运行后报错:java: 无效的源发行版: 14 解决方法:在idea检查所有的jdk配置,选择你电脑上正在使用的jdk 我的电脑上的配置: IDEA的jdk配置: Project Structure中: settings中: 重新运行...
  • IDEA提示无效的源发行版本 之前自己电脑上下载的是jdk15,但是因为毕设用到的karma好像只能支持1.8版本的,刚开始自己还和学弟探讨能不能修改pom.xml文件来支持,但后来好像还是不行(也可能我们没找到真正的地方)...
  • java无效的源发行版 也许我可以被机器人代替进行代码审查。 有一些反馈我发现自己一遍又一遍。 这是我最不喜欢的一些: 通用代码结构 放弃其他 if return的else就是多余的,并造成不必要的缩进。 if (foo) { return...
  • IDEA 无效的源发行版 9

    2020-09-09 17:13:30
    IntelliJ IDEA 编译Java程序出现 'Error:java: 无效的源发行版: 9' 的解决方案? 析:JDk版本和项目配置的不一致。 如上图中如果是jdk8 则需要anguage level 设置为8;如果是jdk9 需要选择对应的9。
  • idea 无效的源发行版: 8解决方法
  • 无效的源发行版,解决方案

    万次阅读 多人点赞 2018-07-31 14:56:53
    使用idea运行项目时,提示无效的源发行版:XXX。原因为:idea设置的jdk版本与自己项目的编译版本不匹配导致。 如果jdk是1.8,而项目选择的编译版本为1.9就会提示错误。 解决方法如下: 错误截图:   解决...
  • Error:java: 无效的源发行版: 11

    万次阅读 多人点赞 2019-07-05 10:01:07
    目录 ...Error:java: 无效的源发行版: 11 具体原因: 项目的 jdk (Project SDK)版本 和项目的语言级别(Project language level )不同。 解决方式: 打开 idea 的 Project Structure 菜单。 ...
  • IDEA Error:java: 无效的源发行版: 11错误

    万次阅读 多人点赞 2020-07-27 14:07:15
    Error:java: 无效的源发行版: 11错误 可能是创建springboot的时候没有注意直接选择11的版本,这时候就需要将jdk版本修改过来。因为项目已经启动了,所以我这里需要修改我这个项目的java 版本。 菜单栏的file—...
  • IDEA报错 Error:java: 无效的源发行版: X 解决办法: 选择项目或者Module
  • 无效的源发行版:1.9

    2019-04-06 22:02:07
    project structure中设置的是language level是8的话,就会出现这个错误提示:无效的源发行版:8。 解决办法:将语言级别改为7,或6。即语言级别不能高于你安装的版本。 另外,如果file -> settings -> build,...
  • Intellij idea Error:java: 无效的源发行版: 11 Select the project, then File > ProjectStructure > ProjectSettings > Modules -> sources You probably have the Language Level set at 9: Just ...
  • 使用idea运行项目的时候,报出错误:无效的源发行版:XXX,这是因为idea设置的jdk版本和运行的项目版本的jdk版本号不匹配。 如果项目jdk版本是12,idea环境设置的jdk版本为1.8,就会报错。 二、解决方法 ...
  • 本地 idea 编译的时候报错:Error:java: 无效的源发行版: 11 此问题共三种导致原因以及解决方法: 问题一:IDEA设置错误: 解决方法:将此处的版本改为与自己使用的版本相同即可。 问题二:电脑中同时安装了...
  • idea启动出现无效的源发行版:9 配置文件-项目结构-项目:
  • 在使用idea运行项目时,报了一个错误:Error:java: 无效的源发行版: 11 原因是我的jdk版本是1.8,而idea编译版本默认是11导致的 解决方案: 1、打开project Structure 2、在sources下选择一个与jdk对应的Language ...
  • Error:java: 无效的源发行版: 9 解决方案论述
  • Error:java: 无效的源发行版: 1.9
  • 无效的源发行版-1.8

    2017-03-13 09:58:14
    【问题】无效的源发行版-1.8 【解决】按照网上的方法,在 Setting 和 Project Structure 中作修改均无效,最后想起来自己机器上的 Java 版本可能还是在 1.7 ,于是通过修改环境变量,将版本调整成 1.8 ,重启 IDEA...
  • idea 无效的源发行版 1.8

    千次阅读 2018-01-23 12:13:35
    用idea 时 ,突发 无效的源发行版 1.8 这样的错误,个人感觉是jdk版本不对,后经过改正,貌似猜测正确,如有不正确,请指出,谢谢改正方法如下:ctrl+shift+alt+s 选择SDKs ,新建一个 jdk(个人已经建了1.7 1.8 1.9)点击 ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 409
精华内容 163
关键字:

无效的源发行版